Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 6)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 7)
@@ -1081,7 +1081,7 @@
             try
             {
                 // 自分のハンドルをリストへセットする
-                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.DRConstruction;
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
@@ -1116,7 +1116,7 @@
             try
             {
                 // 自分のハンドルをリストへセットする
-                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.EstimateInput;
+                int ProcessNo = (int)ClsExcute.ProcessExecuteNo.Proceedings;
                 ClsExcute.SubFormHandleList[ProcessNo].ProcessNo = ProcessNo;
                 ClsExcute.SubFormHandleList[ProcessNo].SubFormHandle = (Form)frm;
 
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOActionScheduleData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOActionScheduleData.cs	(revision 6)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOActionScheduleData.cs	(revision 7)
@@ -56,7 +56,7 @@
 
         #endregion
 
-        #region パブリックメソッド
+        #region 行動予定検索
         /// <summary>
         /// 行動予定検索
         /// </summary>
@@ -104,9 +104,11 @@
             }
 
         }
+        #endregion
 
+        #region 行動予定複数追加
         /// <summary>
-        /// 行動予定追加
+        /// 行動予定複数追加
         /// </summary>
         /// <param name="data">行動予定データ</param>
         /// <returns>true：成功 false：失敗</returns>
@@ -128,6 +130,15 @@
                 return false;
             }
         }
+        #endregion
+
+        #region 行動予定１件追加
+        /// <summary>
+        /// 行動予定１件追加
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool InsertAction(ActionScheduleData data, bool bConnect = true)
         {
             string strcmd = "";
@@ -159,7 +170,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 行動予定更新
         /// <summary>
         /// 行動予定更新
         /// </summary>
@@ -196,8 +209,9 @@
                 return false;
             }
         }
+        #endregion
 
-
+        #region 行動予定削除
         /// <summary>
         /// 行動予定削除
         /// </summary>
@@ -222,7 +236,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
         /// </summary>
@@ -252,11 +268,40 @@
                 logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 構造体クリア
+        /// <summary>
+        /// 構造体クリア
+        /// </summary>
+        /// <param name="wrk"></param>
+        public void ClearStruct(ref ActionScheduleData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.TargetDate = DateTime.MinValue;
+                wrk.PersonCode = 0;
+                wrk.ActionSchedule = string.Empty;
+                wrk.TargetYear = 0;
+                wrk.TargetMonth = 0;
+                wrk.TargetDay = 0;
+
+                wrk.EntryDate = DateTime.Now;
+                wrk.UpdateDate = DateTime.Now;
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
@@ -279,6 +324,9 @@
 
             return strWork;
         }
+        #endregion
+
+        #region サブキー検索の文字列を返す
         /// <summary>
         /// サブキー検索の文字列を返す
         /// </summary>
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDepartment.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDepartment.cs	(revision 6)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMDepartment.cs	(revision 7)
@@ -56,9 +56,9 @@
 
         #endregion
 
-        #region パブリックメソッド
+        #region 部署マスタ検索文字列作成
         /// <summary>
-        /// 部署マスタ検索
+        /// 部署マスタ検索文字列作成
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
         /// <param name="data">部署マスタデータ</param>
@@ -81,6 +81,16 @@
 
             return strcmd;
         }
+        #endregion
+
+        #region 部署マスタ１件検索
+        /// <summary>
+        /// 部署マスタ１件検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref DepartmentMaster data, bool bConnect = true)
         {
             //Oracle インターフェース
@@ -109,6 +119,9 @@
             }
 
         }
+        #endregion
+
+        #region 部署マスタ複数検索
         /// <summary>
         /// 部署マスタ検索
         /// </summary>
@@ -146,7 +159,9 @@
             }
 
         }
+        #endregion
 
+        #region 部署マスタ追加
         /// <summary>
         /// 部署マスタ追加
         /// </summary>
@@ -185,7 +200,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 部署マスタ更新
         /// <summary>
         /// 部署マスタ更新
         /// </summary>
@@ -222,8 +239,9 @@
                 return false;
             }
         }
+        #endregion
 
-
+        #region 部署マスタ削除
         /// <summary>
         /// 部署マスタ削除
         /// </summary>
@@ -248,7 +266,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 論理削除
         /// <summary>
         /// 論理削除
         /// </summary>
@@ -283,6 +303,9 @@
                 return false;
             }
         }
+        #endregion
+
+        #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
         /// </summary>
@@ -312,13 +335,42 @@
                 logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 構造体クリア
+        /// <summary>
+        /// 構造体クリア
+        /// </summary>
+        /// <param name="wrk"></param>
+        public void ClearStruct(ref DepartmentMaster wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.DepartmentCode = 0;
+                wrk.DisplayOrder = 0;
+                wrk.DepartmentString = string.Empty;
+                wrk.ActionScheduleFlg = 0;
+                wrk.StaffAssignFlg = 0;
+                wrk.DeleteFlg = 0;
+
+                wrk.EntryDate = DateTime.Now;
+                wrk.UpdateDate = DateTime.Now;
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region 部署コードの最大値を取得する
         /// <summary>
-        /// カテゴリ履歴の最大値を取得する
+        /// 部署コードの最大値を取得する
         /// </summary>
         /// <param name="AddSQLString"></param>
         /// <param name="bConnect"></param>
@@ -353,7 +405,9 @@
 
             return iRet;
         }
+        #endregion
 
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMPersonInCharge.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMPersonInCharge.cs	(revision 6)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMPersonInCharge.cs	(revision 7)
@@ -32,7 +32,7 @@
         /// <summary>
         /// 担当者マスタフィールド並び
         /// </summary>
-        public enum PersonInChargeColumn
+        public enum NameColumn
         {
             PersonCode = 0,
             DisplayOrder,
@@ -67,9 +67,9 @@
 
         #endregion
 
-        #region パブリックメソッド（通常アクセス）
+        #region 担当者マスタ検索文字列作成
         /// <summary>
-        /// 担当者マスタ検索
+        /// 担当者マスタ検索文字列作成
         /// </summary>
         /// <param name="AddSQLString">検索条件SQL文字列</param>
         /// <param name="data">担当者マスタデータ</param>
@@ -101,6 +101,16 @@
 
             return strcmd;
         }
+        #endregion
+
+        #region 担当者マスタ複数検索
+        /// <summary>
+        /// 担当者マスタ複数検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref List<PersonInChargeMaster> data, bool bConnect = true)
         {
             //Oracle インターフェース
@@ -131,6 +141,16 @@
                 return false;
             }
         }
+        #endregion
+
+        #region 担当者マスタ１件検索
+        /// <summary>
+        /// 担当者マスタ１件検索
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool SelectAction(string AddSQLString, ref PersonInChargeMaster data, bool bConnect = true)
         {
             //Oracle インターフェース
@@ -158,7 +178,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 担当者マスタ追加
         /// <summary>
         /// 担当者マスタ追加
         /// </summary>
@@ -207,7 +229,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 担当者マスタ更新
         /// <summary>
         /// 担当者マスタ更新
         /// </summary>
@@ -254,8 +278,9 @@
                 return false;
             }
         }
+        #endregion
 
-
+        #region 担当者マスタ削除
         /// <summary>
         /// 担当者マスタ削除
         /// </summary>
@@ -280,7 +305,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
         /// </summary>
@@ -291,25 +318,25 @@
             try
             {
                 // データ取得
-                wrk.PersonCode = int.Parse(objwrk[(int)PersonInChargeColumn.PersonCode].ToString());
-                wrk.DisplayOrder = int.Parse(objwrk[(int)PersonInChargeColumn.DisplayOrder].ToString());
-                wrk.PersonName = objwrk[(int)PersonInChargeColumn.PersonName].ToString();
-                wrk.StartDate = DateTime.Parse(objwrk[(int)PersonInChargeColumn.StartDate].ToString());
-                wrk.EndDate = DateTime.Parse(objwrk[(int)PersonInChargeColumn.EndDate].ToString());
-                wrk.PassWord = objwrk[(int)PersonInChargeColumn.PassWord].ToString();
-                wrk.SecurityManagement = int.Parse(objwrk[(int)PersonInChargeColumn.SecurityManagement].ToString());
-                wrk.MsgBackColor = objwrk[(int)PersonInChargeColumn.MsgBackColor].ToString();
-                wrk.DisplayString = objwrk[(int)PersonInChargeColumn.DisplayString].ToString();
-                wrk.DepartmentCode = int.Parse(objwrk[(int)PersonInChargeColumn.DepartmentCode].ToString());
-                wrk.MonthlySalary = double.Parse(objwrk[(int)PersonInChargeColumn.MonthlySalary].ToString());
-                wrk.YearSalary = double.Parse(objwrk[(int)PersonInChargeColumn.YearSalary].ToString());
-                wrk.Qualification = objwrk[(int)PersonInChargeColumn.Qualification].ToString();
-                wrk.SealPrintName = objwrk[(int)PersonInChargeColumn.SealPrintName].ToString();
-                wrk.EmployeeClassFlg = int.Parse(objwrk[(int)PersonInChargeColumn.EmployeeClassFlg].ToString());
+                wrk.PersonCode = int.Parse(objwrk[(int)NameColumn.PersonCode].ToString());
+                wrk.DisplayOrder = int.Parse(objwrk[(int)NameColumn.DisplayOrder].ToString());
+                wrk.PersonName = objwrk[(int)NameColumn.PersonName].ToString();
+                wrk.StartDate = DateTime.Parse(objwrk[(int)NameColumn.StartDate].ToString());
+                wrk.EndDate = DateTime.Parse(objwrk[(int)NameColumn.EndDate].ToString());
+                wrk.PassWord = objwrk[(int)NameColumn.PassWord].ToString();
+                wrk.SecurityManagement = int.Parse(objwrk[(int)NameColumn.SecurityManagement].ToString());
+                wrk.MsgBackColor = objwrk[(int)NameColumn.MsgBackColor].ToString();
+                wrk.DisplayString = objwrk[(int)NameColumn.DisplayString].ToString();
+                wrk.DepartmentCode = int.Parse(objwrk[(int)NameColumn.DepartmentCode].ToString());
+                wrk.MonthlySalary = double.Parse(objwrk[(int)NameColumn.MonthlySalary].ToString());
+                wrk.YearSalary = double.Parse(objwrk[(int)NameColumn.YearSalary].ToString());
+                wrk.Qualification = objwrk[(int)NameColumn.Qualification].ToString();
+                wrk.SealPrintName = objwrk[(int)NameColumn.SealPrintName].ToString();
+                wrk.EmployeeClassFlg = int.Parse(objwrk[(int)NameColumn.EmployeeClassFlg].ToString());
 
-                wrk.DeleteFlg = int.Parse(objwrk[(int)PersonInChargeColumn.DeleteFlg].ToString());
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)PersonInChargeColumn.EntryDate].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)PersonInChargeColumn.UpdateDate].ToString());
+                wrk.DeleteFlg = int.Parse(objwrk[(int)NameColumn.DeleteFlg].ToString());
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UpdateDate].ToString());
             }
             catch (OracleException oraex)
             {
@@ -320,6 +347,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
             }
         }
+        #endregion
+
+        #region 構造体クリア
         /// <summary>
         /// 構造体クリア
         /// </summary>
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs	(revision 6)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMVehicle.cs	(revision 7)
@@ -70,7 +70,7 @@
 
         #endregion
 
-        #region パブリックメソッド
+        #region 車両マスタ検索
         /// <summary>
         /// 車両マスタ検索
         /// </summary>
@@ -134,7 +134,9 @@
             }
 
         }
+        #endregion
 
+        #region 車両マスタ追加
         /// <summary>
         /// 車両マスタ追加
         /// </summary>
@@ -187,7 +189,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 車両マスタ更新
         /// <summary>
         /// 車両マスタ更新
         /// </summary>
@@ -239,8 +243,9 @@
                 return false;
             }
         }
+        #endregion
 
-
+        #region 車両マスタ削除
         /// <summary>
         /// 車両マスタ削除
         /// </summary>
@@ -265,7 +270,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
         /// </summary>
@@ -309,11 +316,54 @@
                 logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 構造体クリア
+        /// <summary>
+        /// 構造体クリア
+        /// </summary>
+        /// <param name="wrk"></param>
+        public void ClearStruct(ref VehicleMaster wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.VehicleCode = 0;
+                wrk.DisplayOrder = 0;
+                wrk.VehicleName = string.Empty;
+                wrk.RegistrationNumber = string.Empty;
+                wrk.IdentificationNumber = string.Empty;
+                wrk.ModelCode = string.Empty;
+                wrk.DepartmentCode = 0;
+                wrk.VehicleScheduleFlg = 0;
+                wrk.PurchaseDate = DateTime.MinValue;
+                wrk.PurchaseName = string.Empty;
+                wrk.PurchaseContactPersons = string.Empty;
+                wrk.PurchasePhone = string.Empty;
+                wrk.LeaseDate = DateTime.MinValue;
+                wrk.LeaseDestination = string.Empty;
+                wrk.LeaseContactPersons = string.Empty;
+                wrk.LeasePhone = string.Empty;
+                wrk.InsuranceCompany = string.Empty;
+                wrk.InsuranceContactPersons = string.Empty;
+                wrk.InsurancePhone = string.Empty;
+                wrk.Note = string.Empty;
+
+                wrk.EntryDate = DateTime.Now;
+                wrk.UpdateDate = DateTime.Now;
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
@@ -334,7 +384,9 @@
 
             return strWork;
         }
+        #endregion
 
+        #region 最大値を取得する
         /// <summary>
         /// 最大値を取得する
         /// </summary>
Index: trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOVehicleScheduleData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOVehicleScheduleData.cs	(revision 6)
+++ trunk/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOVehicleScheduleData.cs	(revision 7)
@@ -57,7 +57,7 @@
 
         #endregion
 
-        #region パブリックメソッド
+        #region 行動予定検索
         /// <summary>
         /// 行動予定検索
         /// </summary>
@@ -106,9 +106,11 @@
             }
 
         }
+        #endregion
 
+        #region 行動予定複数追加
         /// <summary>
-        /// 行動予定追加
+        /// 行動予定複数追加
         /// </summary>
         /// <param name="data">行動予定データ</param>
         /// <returns>true：成功 false：失敗</returns>
@@ -130,6 +132,15 @@
                 return false;
             }
         }
+        #endregion
+
+        #region 行動予定１件追加
+        /// <summary>
+        /// 行動予定１件追加
+        /// </summary>
+        /// <param name="data"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
         public bool OneRecInsertAction(VehicleScheduleData data, bool bConnect = true)
         {
             string strcmd = "";
@@ -162,7 +173,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 行動予定更新
         /// <summary>
         /// 行動予定更新
         /// </summary>
@@ -200,8 +213,9 @@
                 return false;
             }
         }
+        #endregion
 
-
+        #region 行動予定削除
         /// <summary>
         /// 行動予定削除
         /// </summary>
@@ -226,7 +240,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region OracleDataReaderより構造体へセットする
         /// <summary>
         /// OracleDataReaderより構造体へセットする
         /// </summary>
@@ -257,11 +273,41 @@
                 logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 構造体クリア
+        /// <summary>
+        /// 構造体クリア
+        /// </summary>
+        /// <param name="wrk"></param>
+        public void ClearStruct(ref VehicleScheduleData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.TargetDate = DateTime.MinValue;
+                wrk.VehicleCode = 0;
+                wrk.MorningAfternoon = 0;
+                wrk.PersonCode = 0;
+                wrk.TargetYear = 0;
+                wrk.TargetMonth = 0;
+                wrk.TargetDay = 0;
+
+                wrk.EntryDate = DateTime.Now;
+                wrk.UpdateDate = DateTime.Now;
+            }
+            catch (OracleException oraex)
+            {
+                logger.ErrorFormat("オラクルエラー：{0}：{1}", CommonMotions.GetMethodName(), oraex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
         #endregion
 
-        #region パブリックメソッド（特殊処理）
-
+        #region 主キー検索の文字列を返す
         /// <summary>
         /// 主キー検索の文字列を返す
         /// </summary>
@@ -286,6 +332,9 @@
 
             return strWork;
         }
+        #endregion
+
+        #region サブキー検索の文字列を返す
         /// <summary>
         /// サブキー検索の文字列を返す
         /// </summary>
